#pragma once

#include "XmlDocument.h"

#include <memory>

class HtmlElement;
class HtmlBodyElement;

class HtmlDocument : public XmlDocument
{
public:
    HtmlDocument();

    virtual ~HtmlDocument() = default;

    static std::unique_ptr<HtmlDocument> Create();

    void addElementToBody(std::unique_ptr<HtmlElement> element);

    HtmlBodyElement* getBodyElement() const;

private:
};

using HtmlDocumentPtr = std::unique_ptr<HtmlDocument>;
